=== debian/changelog ===
pacparser (1.4.6-1) unstable; urgency=medium

  * New upstream version 1.4.6.
  * d/watch: bump to version 5 format.
  * d/control:
    - Bump Standards-Version to 4.7.2.
    - Remove Rules-Requires-Root.
    - Remove Section from binary.
  * Add d/salsa-ci.yml.
  * d/rules: clean src/libpacparser.a + hardening.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 07 Nov 2025 16:44:19 +0000
