=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PYVERSIONS = $(shell py3versions -vr)
VERSION=$(DEB_VERSION_EPOCH_UPSTREAM)
export NO_INTERNET=1

%:
	dh $@ --no-parallel

override_dh_auto_build:
	dh_auto_build -- -C src VERSION=$(VERSION)

override_dh_install:
	$(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install
	for py in $(PYVERSIONS); do \
		$(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install-pymod \
			PACPARSER_VERSION=$(VERSION) \
			EXTRA_ARGS=--install-layout=deb \
			PYTHON=python$$py; \
	done
	dh_install

override_dh_auto_clean:
	$(MAKE) -C src clean
	rm -f src/spidermonkey/js/src/jsautocfg.h
	rm -rf src/pymod/build
	rm -rf src/pymod/pacparser.egg-info
	rm -f src/libpacparser.a
