=== debian/watch ===
Version: 5
Template: Github
Owner: manugarg
Project: pacparser
