=== debian/changelog ===
pacparser (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0.
  * d/patches:
    - Update 001_py3only.patch.
    - Remove 003_fix-for-spidermonkey-issues.patch.
    - Remove 004_fix-GCC14-va.patch.
  * d/copyright:
    - Update copyrights for new upstream version.
    - Add copyright for debian/*.
  * d/control:
    - Bump Standards-Version to 4.7.3.
    - Remove Priority.
  * d/rules: remove spidermonkey related line.
  * Add d/upstream/metadata.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 13 Feb 2026 03:15:25 +0000
