=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pacparser
 Section: libs
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Alexandre Detiste <tchet@debian.org>,
@@ -14,7 +13,7 @@
  dh-sequence-python3,
  python3-all-dev,
  python3-setuptools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 
 Package: libpacparser1
 Architecture: any
