=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,6 @@
 
 override_dh_auto_clean:
 	$(MAKE) -C src clean
-	rm -f src/spidermonkey/js/src/jsautocfg.h
 	rm -rf src/pymod/build
 	rm -rf src/pymod/pacparser.egg-info
 	rm -f src/libpacparser.a
